Package org.apache.sling.thumbnails.internal.transformers

## Class GreyscaleHandler

- java.lang.Object
- - org.apache.sling.thumbnails.internal.transformers.GreyscaleHandler

All Implemented Interfaces:
  `TransformationHandler`

    public class GreyscaleHandler
    extends Object
    implements TransformationHandler

A transformer for rotating an image

### Field Summary

Fields
`static String` `RESOURCE_TYPE`

### Constructor Summary

Constructors
`GreyscaleHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getResourceType()` Get the resource type associated with this handler
`void` `handle​(InputStream inputStream, OutputStream outputStream, TransformationHandlerConfig config)` Handles the transformation of the file using the command values from the suffix segment.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### RESOURCE_TYPE

    public static final String RESOURCE_TYPE

See Also:
  Constant Field Values

### Constructor Detail

#### GreyscaleHandler

    public GreyscaleHandler()

### Method Detail

#### getResourceType

    public String getResourceType()

Description copied from interface: `TransformationHandler`
Get the resource type associated with this handler

Specified by:
  `getResourceType` in interface `TransformationHandler`
Returns:
  the handler resource type

#### handle

    public void handle​(InputStream inputStream,
                       OutputStream outputStream,
                       TransformationHandlerConfig config)
                throws IOException

Description copied from interface: `TransformationHandler`
Handles the transformation of the file using the command values from the suffix segment.

Specified by:
  `handle` in interface `TransformationHandler`
Parameters:
  `inputStream` - the inputstream from which to read the file to transform from
  `outputStream` - the outputstream to write the transformed file to
  `config` - the configuration values for the transformation
Throws:
  `IOException` - an exception occurs transforming the file